Skip to main content
GET
/
api
/
v1
/
domains
List all Domains
curl --request GET \
  --url https://api.deliveryman.ai/api/v1/domains/ \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "workspace_id": 123,
      "domain": "<string>",
      "created_on": "2023-11-07T05:31:56Z",
      "deletion_started_on": "2023-11-07T05:31:56Z",
      "setup_complete": true,
      "custom_name": "<string>",
      "warmup_days_remaining": 1073741823,
      "redirect_subdomains_to": "<string>",
      "warmup_active_days": 1073741823
    }
  ],
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Enter your API key in the format: X-Api-Key <your_key>

Query Parameters

limit
integer
required

Maximum number of records to fetch in the current page. Must be between 1 and 100.

Required range: 1 <= x <= 100
offset
integer
required

Number of records to skip before fetching the results.For example, an offset of 0 starts at the beginning, while an offset of 50 fetches records starting from the 51st. If offset is greater than number of records available, results will be empty.

Required range: x >= 0
workspace_id
integer | null
required

Fetch domains from this workspace only.

Response

Success

data
object[]
required

List of connected domain data.

total
integer
required

Total number of domains available in this workspace if workspace_id was provided. Otherwise across all workspaces.

Required range: x >= 0